<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title> 函数防抖</title>
    <style>
        html{
            height: 1000px;
        }
        .box{
            height: 100px;
            width: 200px;
            background:red;
        }
    </style>
</head>
<body>
    <div class="box">
           
    </div>
</body>
<script>
    function debounce(fn, interval = 500) {
        let timeout = null;

        return function () {
            clearTimeout(timeout);
            timeout = setTimeout(() => {
            fn.apply(this, arguments);
            }, interval);
        };
    }
    window.addEventListener("scroll", debounce(() => console.log("滚动结束！")));
</script>
</html>